%define name     gnome-breakout
%define version  0.3.1
%define release  3mdk

Summary		: A cool game for GNOME.
Name		: %{name}
Version		: %{version}
Release         : %{release}
Copyright	: GPL
Group		: Games/Arcade
Source		: %{name}-%{version}.tar.bz2
URL		: http://www.tuial.com/~alcaron/software
Buildroot	: %{_tmppath}/%{name}-buildroot

%description
A breakout clone for GNOME.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

%configure

%make


%install
%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gnome-breakout"\
title="Gnome-Breakout"\
longtitle="Gnome breakout"\
needs="x11"\
section="Amusement/Arcade"
EOF
)

%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf "$RPM_BUILD_ROOT"


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/gnome-breakout
%{_datadir}/pixmaps/gnome-breakout/*
#%{_datadir}/gnome/apps/Games/gnome-breakout.desktop
%{_libdir}/menu/*

%changelog
* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-3mdk
- rebuild

* Fri Sep 01 2000  Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-2mdk
- macros 
- menus

* Tue Apr 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-1mdk
- first spec
- new in contribs
